GEOS 3.4.2

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
geos::operation::distance::ConnectedElementPointFilter Class Reference

Extracts a single point from each connected element in a Geometry (e.g. a polygon, linestring or point) and returns them in a list. More...

`#include <ConnectedElementPointFilter.h>`

Inheritance diagram for geos::operation::distance::ConnectedElementPointFilter:

## Public Member Functions
| ConnectedElementPointFilter (std::vector< const geom::Coordinate * > *newPts)
void | filter_ro (const geom::Geometry *geom)
Public Member Functions inherited from geos::geom::GeometryFilter
virtual void | filter_rw (Geometry *)

## Static Public Member Functions
static std::vector< const geom::Coordinate * > * | getCoordinates (const geom::Geometry *geom)

## Detailed Description

Extracts a single point from each connected element in a Geometry (e.g. a polygon, linestring or point) and returns them in a list.

## Member Function Documentation

static std::vector<const geom::Coordinate*>* geos::operation::distance::ConnectedElementPointFilter::getCoordinates | ( | const geom::Geometry * | geom | ) |
| static

Returns a list containing a Coordinate from each Polygon, LineString, and Point found inside the specified geometry. Thus, if the specified geometry is not a GeometryCollection, an empty list will be returned.

The documentation for this class was generated from the following file:

- ConnectedElementPointFilter.h